Package org.codehaus.groovy.classgen

# Class BytecodeInstruction

java.lang.Object
org.codehaus.groovy.classgen.BytecodeInstruction

public abstract class BytecodeInstruction extends Object
Helper class used by the class generator. Usually an inner class is produced, that contains bytecode creation code in the visit method.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BytecodeInstruction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `visit(org.objectweb.asm.MethodVisitor mv)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BytecodeInstruction

    public BytecodeInstruction()

- ## Method Details

  - ### visit

    public abstract void visit(org.objectweb.asm.MethodVisitor mv)